<?php
/**
 * @version   $Id: slices.php 30361 2016-07-04 11:44:47Z matias $
 * @author    RocketTheme http://www.rockettheme.com
 * @copyright Copyright (C) 2007 - 2020 RocketTheme, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 */


/**
 *
 */
class RokGallery_Widgets_Slices extends RokGallery_Widgets_RokGallery
{
    /**
     * @param $instance
     * @return array
     */
    public function getSlices(&$instance)
    {
        //        if ($conf->getValue('config.caching') && $params->get('module_cache')) {
        //            $user =& JFactory::getUser();
        //            $cache =& JFactory::getCache('mod_rokgallery');
        //            $cache->setCaching(true);
        //            $args = array($params);
        //            $checksum = md5($params->toString());
        //            $slices = $cache->get(array($this, '_getSlices',), $args, 'mod_rokgallery-' . $user->get('aid', 0) . '-' . $checksum);
        //        }
        //        else
        //        {
        $slices = $this->_getSlices($instance);
        //}
        return $slices;
    }

    /**
     * @param $instance
     * @return array
     */
    public function _getSlices($instance)
    {

        $gallery_id = $instance['gallery_id'];
        $link = isset($instance['gallery_link']) ? $instance['gallery_link'] : '';

        if (empty($gallery_id)) return;

        $sort_by = $instance['sort_by'];
        $sort_direction = $instance['sort_direction'];
        $model = new RokGallery_Site_GalleryModel($gallery_id, $sort_by, $sort_direction);

        $slices = $model->getSlices();

        $images = array();

        $limit = $instance['limit_count'];
        foreach ($slices as $slice)
        {
            $images[] = $this->_getPresentationImage($slice, $instance);
            $limit--;
            if ($limit == 0) break;
        }
        return $images;
    }

    /**
     * @param RokGallery_Model_Slice $slice
     * @param $instance
     * @return stdClass
     */
    protected function &_getPresentationImage(RokGallery_Model_Slice &$slice, $instance)
    {
        //we set the default value here im joomla we do it when we get the param
        $instance['gallery_use_title_from'] = (isset($instance['gallery_use_title_from'])) ? $instance['gallery_use_title_from'] : 'slice';
        $instance['gallery_use_caption_from'] = (isset($instance['gallery_use_caption_from'])) ? $instance['gallery_use_caption_from'] : 'slice';

        $image = new stdClass();
        $image->id = $slice->id;
        $image->title = ($instance['gallery_use_title_from'] == 'slice') ? $slice->title : $slice->File->title;
        $image->caption = ($instance['gallery_use_caption_from'] == 'slice') ? $slice->caption : $slice->File->description;
        $image->slug = $slice->slug;
        $image->created_at = date('j M Y', strtotime($slice->File->created_at));
        $image->updated_at = date('j M Y', strtotime($slice->updated_at));
        $image->views = $slice->File->Views->count;
        $image->loves = $slice->File->Loves->count;
        $image->thumburl = $slice->thumburl;
        $image->xsize = $slice->xsize;
        $image->ysize = $slice->ysize;
        $image->doilove = $slice->doilove;
        $image->filesize = $slice->filesize;
        $image->imageurl = $slice->imageurl;

        $image->rel = '';
        if (!RokGallery_Link::isJson($slice->link)) {
            $linkObject = new RokGallery_Link_Type_Manual_Info($slice->link);
            $link = new RokGallery_Link(json_encode($linkObject));
        } else {
            $link = new RokGallery_Link($slice->link);
        }

        $cleaned_caption = strip_tags($image->caption);

        switch ($instance['link'])
        {
            case 'rokbox':
                $gallery_name = preg_replace("/(\s|_|-|!)/i", '', $slice->Gallery->name);
                $image->link = $slice->imageurl;
                $image->rel = 'data-rokbox data-rokbox-size="' . $image->xsize . ' ' . $image->ysize . '" data-rokbox-album="' . $gallery_name . '" data-rokbox-caption="' . $cleaned_caption . '" title="' . $image->title . '" ';
                break;
            case 'rokbox_full':
                $image->link = $slice->File->imageurl;
                $image->rel = 'data-rokbox data-rokbox-size="' . $slice->File->xsize . ' ' . $slice->File->ysize . '" data-rokbox-album="' . str_replace(' ', '', $slice->Gallery->name) . '" data-rokbox-caption="' . $cleaned_caption . '" title="' . $image->title . '" ';
                break;
            case 'slice_link':
                switch ($link->getType()) {
                    case 'manual':
                  		if ($link->getUrl() == ''){
							  $image->link = $instance['default_menuitem'];
	                    }
                        else
                        {
                    	  $image->link = $link->getUrl();
                        }
                        break;
                    case 'article':
                        $image->link = $link->getUrl();
                        break;
                }
                break;
            default:
                $image->link = null;
        }
        return $image;
    }
}
